Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006117opensim[REGION] Scripting Enginepublic2012-07-30 23:382012-08-29 05:55
Reportercmickeyb 
Assigned Tocmickeyb 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006117: adds support for constant registration in script region module comms
Descriptionthe attached patch enables region modules to register constants with the script engine similarly to the registration of functions currently supported.
Additional InformationExample usage:
                m_comms = m_scene.RequestModuleInterface<IScriptModuleComms>();
                m_comms.RegisterConstant("ModConstantInt1",25);
                m_comms.RegisterConstant("ModConstantFloat1",25.000f);
                m_comms.RegisterConstant("ModConstantString1","abcdefg");
TagsNo tags attached.
Git Revision or version number6b1d12edcbe60e327
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono Versiontrunk
Viewer
Attached Filespatch file icon 0001-Adds-an-interface-to-the-script-module-comms-to-allo.patch [^] (6,094 bytes) 2012-07-30 23:39 [Show Content]

- Relationships
related to 0006255closedmelanie doubles as constant type and Vector3d as parameter/return type in region module LSL funcs doesn't work 

-  Notes
(0021938)
cmickeyb (administrator)
2012-07-31 10:49

Modified version of the patch applied in commit a76a289d11086dd99d

- Issue History
Date Modified Username Field Change
2012-07-30 23:38 cmickeyb New Issue
2012-07-30 23:38 cmickeyb Status new => assigned
2012-07-30 23:38 cmickeyb Assigned To => cmickeyb
2012-07-30 23:39 cmickeyb File Added: 0001-Adds-an-interface-to-the-script-module-comms-to-allo.patch
2012-07-30 23:39 cmickeyb Status assigned => patch included
2012-07-31 10:49 cmickeyb Note Added: 0021938
2012-07-31 10:49 cmickeyb Mono Version None => trunk
2012-07-31 10:49 cmickeyb Status patch included => resolved
2012-07-31 10:49 cmickeyb Fixed in Version => master (dev code)
2012-07-31 10:49 cmickeyb Resolution open => fixed
2012-07-31 10:49 cmickeyb Status resolved => closed
2012-08-29 05:55 SignpostMarv Relationship added related to 0006255


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker